Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class DrawToolFactory.TextDrawTool

    java.lang.Object
      java.awt.event.KeyAdapter
          jpicedt.graphic.toolkit.MouseTool
              jpicedt.graphic.toolkit.DrawToolFactory.TextDrawTool

All Implemented Interfaces:
  EventListener, KeyListener, PEMouseInputListener

Enclosing class:
  DrawToolFactory

protected class DrawToolFactory.TextDrawTool
extends MouseTool

A tool used to place PicText's ; it opens a dialog box for editing text content.

Since:
  jPicEdt
Author:
  Sylvain Reynal

Field Summary

Fields inherited from class jpicedt.graphic.toolkit.MouseTool
`lastMouseEvent, mouseOutside`

Constructor Summary
`DrawToolFactory.TextDrawTool(PicText prototype)`

Method Summary
`void` | `flush()` called when this tool is being replaced by another mouse-tool in the hosting editor kit ; this is mainly for mousetools using more than one sequence, for it gives them a chance to clean themselves up for the next time
`void` | `init()` called when this tool is being activated in the hosting editor kit
`void` | `mouseDragged(PEMouseEvent e)` do nothing
`void` | `mouseMoved(PEMouseEvent e)` set cursor for canvas, then call mouseDragged
`void` | `mousePressed(PEMouseEvent e)` A popup-trigger mouse event (e.g.

Methods inherited from class jpicedt.graphic.toolkit.MouseTool
`getLastMouseEvent, keyPressed, keyReleased, mouseClicked, mouseEntered, mouseExited, mouseReleased, paint, processKeyEvent`

Methods inherited from class java.awt.event.KeyAdapter
`keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawToolFactory.TextDrawTool

    public DrawToolFactory.TextDrawTool(PicText prototype)

Parameters:
  `prototype` - the Element that will serve as the prototype (getting cloned, then added to the drawing).

Method Detail

### mousePressed

    public void mousePressed(PEMouseEvent e)

  A popup-trigger mouse event (e.g. a right click on Unix/Windows) :
  - switches back to SELECT_MODE if the task-iterator is completed
  - or cancels the current task if the task-iterator is underway.
  A left- or middle-button SINGLE click either :
  - (re)start the task iterator if it was completed
  - or select the next point if there are more points
  - or terminate the drawing process if there are no more points.

  Specified by:
    `mousePressed` in interface `PEMouseInputListener`
  Overrides:
    `mousePressed` in class `MouseTool`
  Since:
    jPicEdt

### mouseDragged

    public void mouseDragged(PEMouseEvent e)

  do nothing

  Specified by:
    `mouseDragged` in interface `PEMouseInputListener`
  Overrides:
    `mouseDragged` in class `MouseTool`

### mouseMoved

    public void mouseMoved(PEMouseEvent e)

  set cursor for canvas, then call mouseDragged

  Specified by:
    `mouseMoved` in interface `PEMouseInputListener`
  Overrides:
    `mouseMoved` in class `MouseTool`

### init

    public void init()

  called when this tool is being activated in the hosting editor kit

  Overrides:
    `init` in class `MouseTool`

### flush

    public void flush()

  called when this tool is being replaced by another mouse-tool in the hosting editor kit ; this is mainly for mousetools using more than one sequence, for it gives them a chance to clean themselves up for the next time

  Overrides:
    `flush` in class `MouseTool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org